# Interface methods for submodule: CastSpatialObjectFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: CastSpatialObjectFilter
class CastSpatialObjectFilterProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInput(self, _arg) -> None:
		""""""
		...

	def GetInput(self):
		""""""
		...

	def GetArrows(self):
		""""""
		...

	def GetBlobs(self):
		""""""
		...

	def GetBoxes(self):
		""""""
		...

	def GetContours(self):
		""""""
		...

	def GetEllipses(self):
		""""""
		...

	def GetGaussians(self):
		""""""
		...

	def GetGroups(self):
		""""""
		...

	def GetImageMasks(self):
		""""""
		...

	def GetImages(self):
		""""""
		...

	def GetLandmarks(self):
		""""""
		...

	def GetLines(self):
		""""""
		...

	def GetPointBased(self):
		""""""
		...

	def GetPolygons(self):
		""""""
		...

	def GetSpatialObjects(self):
		""""""
		...

	def GetSurfaces(self):
		""""""
		...

	def GetTubes(self):
		""""""
		...

